Ubuntu

new version of mediathekview -needs packaging

Reported by Linuxexperte on 2011-11-11
30
This bug affects 4 people
Affects Status Importance Assigned to Milestone
mediathekview (Debian)
Fix Released
Unknown
mediathekview (Ubuntu)
Undecided
Thomas B.

Bug Description

hi bojo42,

I know since some time, that there is a new version of mediathekview out. I would really be very happy, if you would package this new version 2.6 of mediathekview for Ubuntu natty, oneiric and future versions.

You find this new version here:

http://www.chip.de/downloads/MediathekView_34031575.html

http://www.heise.de/software/download/mediathekview/60659

http://www.computerbild.de/download/MediathekView-4503190.html

And even on sourceforge.net, you find this new version. I am a real Fan of your ppa-repository for this program and so I would be happy, if you would update your ppa-repository to this new version.

Thank you for your so nice ppa-repository and for a quick update says
your friend
Linuxexperte

affects: ubuntu → mediathekview (Ubuntu)
tags: added: upgrade-software-version
ghostcube (ghostcube) wrote :

hmmm 2.60 isnt working on oneiric. just installed the deb, first of all it gets the wrong user rights for mediathekview.jar.
second it gives me a lot of errors.

Exception in thread "AWT-EventQueue-0" java.lang.NoClassDefFoundError: com/sun/syndication/io/XmlReader
        at mediathek.daten.Daten.<init>(Daten.java:105)
        at mediathek.gui.GuiMediathek.<init>(GuiMediathek.java:103)
        at mediathek.Main$1.run(Main.java:98)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:641)
        at java.awt.EventQueue.access$000(EventQueue.java:84)
        at java.awt.EventQueue$1.run(EventQueue.java:602)
        at java.awt.EventQueue$1.run(EventQueue.java:600)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:611)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Caused by: java.lang.ClassNotFoundException: com.sun.syndication.io.XmlReader
        at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
        ... 17 more

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mediathekview (Ubuntu):
status: New → Confirmed
Linuxexperte (andrea-koeth) wrote :

hi ghostcube and Launchpad Janitor,

one question: where did you find the new .deb-Pakage?? I am stillsearching for it because I want to test it. I did not find one on sourceforge-net. Where did you get it??

Greetings
Linuxexperte

bojo42 (bojo42) wrote :

Finally found some time, but Daniel already did the packaging: https://launchpad.net/~dnjl/+archive/build-multimedia/+sourcepub/2074481/+listing-archive-extra

Next would be testing the packages and check if they fix open bugs like: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639029

Then promote to Debian and sync to Ubuntu.

bojo42 (bojo42) wrote :

A great long term solution would be if we can put the package into the "new" -updates repo of Debian, as older versions of it should probably stop working quite often when television stations change their URL scheme. So IMHO it's pretty much the same like with virus scanners, it needs to be up-to-date.

For Ubuntu a group PPA could do the trick or is there already a way to incorparate the "new" -updates repo in Ubuntu.

Linuxexperte (andrea-koeth) wrote :

hi bojo42 and Daniel,

thanks so much for this wonderful Christmas-present, that we Users were waiting for so long!!! Thanks...thanks...thanks...for upgrading this so super-cool application!! This one remains a "must have" besides ubuntu-tweak as it was before and as it will ever be in future!!! Thanks again for this super-cool app!!!

I am proud of you guys!!! Thanks so much again!!

Greetings
Linuxexperte

Linuxexperte (andrea-koeth) wrote :

hi bojo42 and dnjl,

I just wanted to test this new build of mediathekview. But now it says this: "childprocess mediathekview could not be starte" You don't have the permissions. This means: the permissions in this package need to be changed it seems.

Greetings
Karmicbastler

Linuxexperte (andrea-koeth) wrote :

hi daniel and bojo42,

I wanted to tell you, that also starting this program via Terminal with sudo brings the same error. So could you fix this please??

Greetings
Linuxexperte

Well, I had the same problem with "java.lang.NoClassDefFoundError" using SUSE 11.4 and SUSE 12.1 having implemented MediathekView via the usual rpm installing service. So I downloaded the zip file mediathek_2.6.0.zip from
http://www.heise.de/software/download/mediathekview/60659dl_a9b716683b7b04055883e15113abdc33_1325260950
und unzipped it. Starting MediathekView as proposed with "Starten_Linux.sh" resulted in just the same error situation. I than started the application with "sudo" and got the additional hint that the program missed the the display (that is the screen or monitor) on which to run. "echo $DISPLAY" results normally in ":0". So I succeeded having changed to the directory containing the unzipped files by starting the application with "java -jar ./Mediathek.jar :0 &"! The presupposition for that acting is to work on a console.

Linuxexperte (andrea-koeth) wrote :

hi Ulrich,

how exactly did you manage to start this program??

Could you write the stpes, which you did and the terminal-commands necessary for this?? because for me, starting it through the normal menue does not work out. I need help guys.

I installed it through the ppa-repository.

Thanks for some instruction.

Greetings
Linuxexperte

Linuxexperte (andrea-koeth) wrote :

hi people,

it's me again. This new ppa with version 2.6 does not work. But: if you download this package form the third download-Link, uppack it somewhere (for example on your desktop) and cklick on the file Starten_Linux.sh, then this works and saving films also works, although quite slow but it works.

Why not making a .deb-Package from this one??

Greetings
Linuxexperte

Thomas B. (lostis) wrote :

hi @ all,

okay i will look into making a new package from Version >= 3.0 of MediathekView. For this purpose i have contacted the upstream author, for giving me a hint wich exact version and tarball to use for packaging as common base. Currently there is no tagged version in git repository. I think repackaging older Versions makes no sense, because i have tried v2.6 and it seems not working anymore.

Greetings
Thomas B.

Changed in mediathekview (Ubuntu):
assignee: nobody → Thomas B. (lostis)
Changed in mediathekview (Debian):
assignee: nobody → Thomas B. (lostis)
Linuxexperte (andrea-koeth) wrote :

hi Thomas,

cool that you want to give us the new version of mediathekview!!! If you look here:

http://zdfmediathk.sourceforge.net/download.html (my preferred download)

http://www.computerbild.de/download/MediathekView-4503190.html (my preferred download)

http://www.heise.de/download/mediathekview.html

http://www.chip.de/downloads/MediathekView_34031575.html

you find the new .zip-package!! This new version already works for me, if you unpack this package and select the Linux_sh file. OK, it takes a bit, until it opens, but it works!!! It would be so cool, if you could make a new ppa-repository-update with it!!! This app is really still a "must-have" besides Ubuntu-Tweak!!!

What has changed is the name of the shell script. Now it is "Mediathekview.sh".

For me all versions worked, when they were up to date.

Now with old versions the film list is no longer loaded. Probably the storage place/list format has changed.

Me, too, I would appreciate to have a bit of more comfortability, if Mediathekview could be installed via the SW Center.

Linuxexperte (andrea-koeth) wrote :

hi Andrea,

I also would like to install it either via ppa-repository (Terminal-command) or even via Synaptic. Both ways are OK. But I would like a fresh new version, because now, the upgrades in sourceforge.net come more often.

So I would like, if Thomas would open up a new ppa-repository, which would be held up to date and cared for (Bugfixing).

Greetings
Linuxexperte

Jeremy Bicha (jbicha) on 2012-07-11
Changed in mediathekview (Debian):
assignee: Thomas B. (lostis) → nobody
importance: Undecided → Unknown
status: New → Unknown
Changed in mediathekview (Debian):
status: Unknown → New
Linuxexperte (andrea-koeth) wrote :

hi Thomas,

one more question: I just downloaded the new version of it from sourceforge.net and I can start it via pressing on this jar-file inside the package. But what does not work is the Terminal-command.

If I enter mediathekview into the Terminal, then it only starts the old version 2.4 which is also installed via Synaptic. So I would like to know, which new Terminal-command I have to put into the Terminal to start it via Terminal?? And I also need to know the correct command for setting a start-button into the menues for having the alternative to start it right from the menue.

So my clue is, that also the Terminal-command seems to have changed. Can you give me some information about this??

Greetings
Linuxexperte

Mark (mark-wege) wrote :

Would be nice, if the package would be updated for quantal. The old version uses an outdated format for retrieving the data from the mediathek. So it is only partly usable.

Changed in mediathekview (Debian):
status: New → Fix Released
Markus Koschany (apoleon) wrote :

Hi
I'm the maintainer of MediathekView for Debian. The new release 3.0.0 is available in Debian Unstable. I guess it is too late for inclusion in quantal. However i have tested the new version on Lubuntu 12.04 and it works as intended.

Linuxexperte (andrea-koeth) wrote :

hi people,

there are foten new packages of mediathekview out on sourceforge and other download-sites. Will there be a ppa-repository, to keep mediathekveiw updated with the new updated versions in future?? Because: development on this app never stopps and continues and will continue in future.

Greetings
Linuxexperte

Hi,

Am 13.10.2012 11:41, schrieb Linuxexperte:
> there are foten new packages of mediathekview out on sourceforge and
> other download-sites. Will there be a ppa-repository, to keep
> mediathekveiw updated with the new updated versions in future?? Because:
> development on this app never stopps and continues and will continue in
> future.

A debian version of mediathekview was uploaded to Debian unstable on oct
3rd. Please try this version.

Christoph

--
============================================================================
Christoph Martin, Zentrum für Datenverarbeitung, Uni-Mainz, Germany
 Instant-Messaging: Jabber: <email address hidden>
  (Siehe http://www.zdv.uni-mainz.de/4010.php)

Logan Rosen (logan) wrote :

Version 3.0.0-1 is now available in Quantal and Raring.

Changed in mediathekview (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.